<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<repository name="Geronimo Plugins, OpenJPA2 :: CAR">
    <resource id="1341322604473" presentationname="OpenJPA Aggregate Jar" symbolicname="org.apache.openjpa" uri="mvn:org.apache.openjpa/openjpa/2.1.1" version="2.1.1">
        <description>Apache OpenJPA implementation of JSR-317 JPA 2.0</description>
        <size>4337750</size>
        <documentation>http://openjpa.apache.org/openjpa</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.openjpa"/>
            <p n="version" t="version" v="2.1.1"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.slice.transaction"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.util"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.persistence.criteria"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.util"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.identifier"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.jdbc.kernel.exps"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.jdbc.meta"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.slice"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.jdbc.conf"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.ee"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.persistence.util"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.persistence.query"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.persistence.meta"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.instrumentation"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.rop"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.conf"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.kernel.jpql"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.enhance"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.kernel"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.xmlstore"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.jdbc.ant"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.util.svn"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.validation"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.jdbc.kernel"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.jdbc"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.graph"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.persistence"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.instrumentation.jmx"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.abstractstore"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.persistence.jdbc"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.instrumentation"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.encryption"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.persistence.validation"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.log"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.ant"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.slice.jdbc"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.datacache"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.meta"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.jdbc.identifier"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.ant"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.jdbc.schema"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.xml"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.jdbc.sql"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.conf"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.meta"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.event"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.persistence.osgi"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.lib.util.concurrent"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.kernel.exps"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.openjpa.jdbc.meta.strats"/>
            <p n="version" t="version" v="2.1.1"/>
        </capability>
        <require extend="false" filter="(&amp;(package=com.ibm.websphere.jtaextensions)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.ibm.websphere.jtaextensions</require>
        <require extend="false" filter="(&amp;(package=com.ibm.wsspi.uow)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.ibm.wsspi.uow</require>
        <require extend="false" filter="(&amp;(package=javax.annotation)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.annotation</require>
        <require extend="false" filter="(&amp;(package=javax.annotation.processing)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.annotation.processing</require>
        <require extend="false" filter="(&amp;(package=javax.jms)(version&gt;=1.1.0)(!(version&gt;=1.2.0)))" multiple="false" name="package" optional="true">Import-Package: javax.jms</require>
        <require extend="false" filter="(&amp;(package=javax.lang.model)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.lang.model</require>
        <require extend="false" filter="(&amp;(package=javax.lang.model.element)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.lang.model.element</require>
        <require extend="false" filter="(&amp;(package=javax.lang.model.type)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.lang.model.type</require>
        <require extend="false" filter="(&amp;(package=javax.lang.model.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.lang.model.util</require>
        <require extend="false" filter="(&amp;(package=javax.management)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.management</require>
        <require extend="false" filter="(&amp;(package=javax.naming)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming</require>
        <require extend="false" filter="(&amp;(package=javax.persistence)(version&gt;=1.1.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="false">Import-Package: javax.persistence</require>
        <require extend="false" filter="(&amp;(package=javax.persistence.criteria)(version&gt;=1.1.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="false">Import-Package: javax.persistence.criteria</require>
        <require extend="false" filter="(&amp;(package=javax.persistence.metamodel)(version&gt;=1.1.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="false">Import-Package: javax.persistence.metamodel</require>
        <require extend="false" filter="(&amp;(package=javax.persistence.spi)(version&gt;=1.1.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="false">Import-Package: javax.persistence.spi</require>
        <require extend="false" filter="(&amp;(package=javax.rmi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.rmi</require>
        <require extend="false" filter="(&amp;(package=javax.sql)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.sql</require>
        <require extend="false" filter="(&amp;(package=javax.tools)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.tools</require>
        <require extend="false" filter="(&amp;(package=javax.transaction)(version&gt;=1.1.0)(!(version&gt;=1.2.0)))" multiple="false" name="package" optional="true">Import-Package: javax.transaction</require>
        <require extend="false" filter="(&amp;(package=javax.transaction.xa)(version&gt;=1.1.0)(!(version&gt;=1.2.0)))" multiple="false" name="package" optional="true">Import-Package: javax.transaction.xa</require>
        <require extend="false" filter="(&amp;(package=javax.validation)(version&gt;=1.0.0)(!(version&gt;=1.1.0)))" multiple="false" name="package" optional="true">Import-Package: javax.validation</require>
        <require extend="false" filter="(&amp;(package=javax.validation.groups)(version&gt;=1.0.0)(!(version&gt;=1.1.0)))" multiple="false" name="package" optional="true">Import-Package: javax.validation.groups</require>
        <require extend="false" filter="(&amp;(package=javax.validation.metadata)(version&gt;=1.0.0)(!(version&gt;=1.1.0)))" multiple="false" name="package" optional="true">Import-Package: javax.validation.metadata</require>
        <require extend="false" filter="(&amp;(package=javax.xml.bind)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: javax.xml.bind</require>
        <require extend="false" filter="(&amp;(package=javax.xml.parsers)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.parsers</require>
        <require extend="false" filter="(&amp;(package=javax.xml.transform)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.transform</require>
        <require extend="false" filter="(&amp;(package=javax.xml.transform.sax)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.transform.sax</require>
        <require extend="false" filter="(&amp;(package=javax.xml.transform.stream)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.transform.stream</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.collections)(version&gt;=3.2.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.collections</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.collections.bidimap)(version&gt;=3.2.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.collections.bidimap</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.collections.comparators)(version&gt;=3.2.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.collections.comparators</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.collections.iterators)(version&gt;=3.2.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.collections.iterators</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.collections.map)(version&gt;=3.2.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.collections.map</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.collections.set)(version&gt;=3.2.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.collections.set</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.dbcp)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.dbcp</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.lang)(version&gt;=2.4.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.lang</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.lang.exception)(version&gt;=2.4.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.lang.exception</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.logging)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.commons.logging</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.pool)(version&gt;=1.5.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.pool</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.pool.impl)(version&gt;=1.5.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.pool.impl</require>
        <require extend="false" filter="(&amp;(package=org.apache.log4j)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.log4j</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.abstractstore)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.abstractstore</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.ant)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.ant</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.conf)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.conf</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.datacache)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.datacache</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.ee)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.ee</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.enhance)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.enhance</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.event)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.event</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.instrumentation)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.instrumentation</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.instrumentation.jmx)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.instrumentation.jmx</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.jdbc.ant)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.jdbc.ant</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.jdbc.conf)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.jdbc.conf</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.jdbc.identifier)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.jdbc.identifier</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.jdbc.kernel)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.jdbc.kernel</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.jdbc.kernel.exps)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.jdbc.kernel.exps</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.jdbc.meta)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.jdbc.meta</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.jdbc.meta.strats)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.jdbc.meta.strats</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.jdbc.schema)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.jdbc.schema</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.jdbc.sql)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.jdbc.sql</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.kernel)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.kernel</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.kernel.exps)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.kernel.exps</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.kernel.jpql)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.kernel.jpql</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.ant)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.ant</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.conf)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.conf</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.encryption)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.encryption</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.graph)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.graph</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.identifier)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.identifier</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.instrumentation)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.instrumentation</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.jdbc)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.jdbc</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.log)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.log</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.meta)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.meta</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.rop)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.rop</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.util)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.util.concurrent)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.util.concurrent</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.util.svn)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.util.svn</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.lib.xml)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.lib.xml</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.meta)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.meta</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.persistence)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.persistence</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.persistence.criteria)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.persistence.criteria</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.persistence.jdbc)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.persistence.jdbc</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.persistence.meta)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.persistence.meta</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.persistence.osgi)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.persistence.osgi</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.persistence.query)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.persistence.query</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.persistence.util)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.persistence.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.persistence.validation)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.persistence.validation</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.slice)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.slice</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.slice.jdbc)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.slice.jdbc</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.slice.transaction)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.slice.transaction</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.util)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.validation)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.validation</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.xmlstore)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.xmlstore</require>
        <require extend="false" filter="(&amp;(package=org.apache.tools.ant)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.tools.ant</require>
        <require extend="false" filter="(&amp;(package=org.apache.tools.ant.taskdefs)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.tools.ant.taskdefs</require>
        <require extend="false" filter="(&amp;(package=org.apache.tools.ant.types)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.tools.ant.types</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.postgresql)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.postgresql</require>
        <require extend="false" filter="(&amp;(package=org.postgresql.largeobject)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.postgresql.largeobject</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.slf4j</require>
        <require extend="false" filter="(&amp;(package=org.w3c.dom)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.w3c.dom</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax.ext)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax.ext</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax.helpers)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax.helpers</require>
        <require extend="false" filter="(&amp;(package=serp.bytecode)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: serp.bytecode</require>
        <require extend="false" filter="(&amp;(package=serp.bytecode.lowlevel)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: serp.bytecode.lowlevel</require>
        <require extend="false" filter="(&amp;(package=serp.util)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: serp.util</require>
    </resource>
    <resource id="1341322604475" presentationname="Annotation 1.1" symbolicname="org.apache.geronimo.specs.geronimo-annotation_1.1_spec" uri="mvn:org.apache.geronimo.specs/geronimo-annotation_1.1_spec/1.0.1" version="1.0.1">
        <description>Annotation spec 1.1 API</description>
        <size>15198</size>
        <documentation>http://geronimo.apache.org/maven/specs/geronimo-annotation_1.1_spec/1.0.1</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.specs.geronimo-annotation_1.1_spec"/>
            <p n="version" t="version" v="1.0.1"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.annotation"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.annotation.security"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.annotation.sql"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.annotation)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.annotation</require>
        <require extend="false" filter="(&amp;(package=javax.annotation.security)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.annotation.security</require>
        <require extend="false" filter="(&amp;(package=javax.annotation.sql)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.annotation.sql</require>
    </resource>
    <resource id="1341322604475" presentationname="Aries JPA Container API" symbolicname="org.apache.aries.jpa.api" uri="mvn:org.apache.aries.jpa/org.apache.aries.jpa.api/0.2-incubating" version="0.2.0.incubating">
        <description>Aries top-level parent pom</description>
        <size>13747</size>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.aries.jpa.api"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.aries.jpa.container.parsing"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.aries.jpa.container"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.aries.jpa.container.context"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.persistence)(version&gt;=1.0.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="false">Import-Package: javax.persistence</require>
        <require extend="false" filter="(&amp;(package=javax.persistence.spi)(version&gt;=1.0.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="false">Import-Package: javax.persistence.spi</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
    </resource>
    <resource id="1341322604476" presentationname="Aries JPA Container blueprint integration for Aries blueprint" symbolicname="org.apache.aries.jpa.blueprint.aries" uri="mvn:org.apache.aries.jpa/org.apache.aries.jpa.blueprint.aries/0.2-incubating" version="0.2.0.incubating">
        <description>Aries top-level parent pom</description>
        <size>18365</size>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.aries.jpa.blueprint.aries"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.persistence)(version&gt;=1.0.0)(!(version&gt;=3.0.0)))" multiple="false" name="package" optional="false">Import-Package: javax.persistence</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.blueprint)(version&gt;=0.1.0)(!(version&gt;=1.1.0)))" multiple="false" name="package" optional="false">Import-Package: org.apache.aries.blueprint</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.blueprint.mutable)(version&gt;=0.2.0)(!(version&gt;=1.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.apache.aries.blueprint.mutable</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.jpa.container.context)(version&gt;=0.1.0)(!(version&gt;=1.1.0)))" multiple="false" name="package" optional="false">Import-Package: org.apache.aries.jpa.container.context</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.osgi.service.blueprint.reflect)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.osgi.service.blueprint.reflect</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
        <require extend="false" filter="(&amp;(package=org.w3c.dom)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.w3c.dom</require>
    </resource>
    <resource id="1341322604476" presentationname="JAXRPC 1.1" symbolicname="org.apache.geronimo.specs.geronimo-jaxrpc_1.1_spec" uri="mvn:org.apache.geronimo.specs/geronimo-jaxrpc_1.1_spec/2.1" version="2.1">
        <description>Java API for XML Remote Procedure Call 1.1 API</description>
        <size>42404</size>
        <documentation>http://geronimo.apache.org/maven/specs/geronimo-jaxrpc_1.1_spec/2.1</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.specs.geronimo-jaxrpc_1.1_spec"/>
            <p n="version" t="version" v="2.1.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.xml.rpc.encoding"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.xml.rpc.handler"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.xml.rpc.handler.soap"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.xml.rpc.holders"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.xml.rpc.server"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.xml.rpc.soap"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.xml.rpc"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.servlet)(version&gt;=2.6.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet</require>
        <require extend="false" filter="(&amp;(package=javax.servlet.http)(version&gt;=2.6.0))" multiple="false" name="package" optional="false">Import-Package: javax.servlet.http</require>
        <require extend="false" filter="(&amp;(package=javax.xml.namespace)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.namespace</require>
        <require extend="false" filter="(&amp;(package=javax.xml.rpc)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.rpc</require>
        <require extend="false" filter="(&amp;(package=javax.xml.rpc.encoding)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.rpc.encoding</require>
        <require extend="false" filter="(&amp;(package=javax.xml.rpc.handler)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.rpc.handler</require>
        <require extend="false" filter="(&amp;(package=javax.xml.rpc.handler.soap)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.rpc.handler.soap</require>
        <require extend="false" filter="(&amp;(package=javax.xml.rpc.holders)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.rpc.holders</require>
        <require extend="false" filter="(&amp;(package=javax.xml.rpc.server)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.rpc.server</require>
        <require extend="false" filter="(&amp;(package=javax.xml.rpc.soap)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.rpc.soap</require>
        <require extend="false" filter="(&amp;(package=javax.xml.soap)(version&gt;=1.3.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.soap</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.osgi.registry.api)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.geronimo.osgi.registry.api</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.osgi.util.tracker)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.util.tracker</require>
    </resource>
    <resource id="1341322604476" presentationname="Geronimo Plugins, OpenJPA2 :: Core" symbolicname="org.apache.geronimo.modules.geronimo-openjpa2" uri="mvn:org.apache.geronimo.modules/geronimo-openjpa2/3.0.0" version="3.0.0">
        <description>OpenJPA2 plugin</description>
        <size>12999</size>
        <documentation>http://geronimo.apache.org/genesis-default-flava/genesis-java6-flava/geronimo/plugins/openjpa2/geronimo-openjpa2</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.modules.geronimo-openjpa2"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.openjpa"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.config)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.config</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.lifecycle)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.lifecycle</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.openjpa)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.openjpa</require>
        <require extend="false" filter="(&amp;(package=org.apache.openjpa.enhance)(version&gt;=2.1.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.openjpa.enhance</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
    </resource>
    <resource id="1341322604477" presentationname="Apache Geronimo Java Contexts and Dependency Injection (JSR-299) Spec API" symbolicname="org.apache.geronimo.specs.geronimo-jcdi_1.0_spec" uri="mvn:org.apache.geronimo.specs/geronimo-jcdi_1.0_spec/1.0" version="1.0">
        <description>Apache Geronimo implementation of the JSR-299 Context and Dependency Injection for the Java EE Platform</description>
        <size>51184</size>
        <documentation>http://geronimo.apache.org/maven/specs/geronimo-jcdi_1.0_spec/1.0</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.specs.geronimo-jcdi_1.0_spec"/>
            <p n="version" t="version" v="1.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.decorator"/>
            <p n="version" t="version" v="1.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.enterprise.context"/>
            <p n="version" t="version" v="1.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.enterprise.context.spi"/>
            <p n="version" t="version" v="1.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.enterprise.event"/>
            <p n="version" t="version" v="1.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.enterprise.inject.spi"/>
            <p n="version" t="version" v="1.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.enterprise.inject"/>
            <p n="version" t="version" v="1.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.enterprise.util"/>
            <p n="version" t="version" v="1.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.decorator)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.decorator</require>
        <require extend="false" filter="(&amp;(package=javax.el)(version&gt;=2.2.0))" multiple="false" name="package" optional="false">Import-Package: javax.el</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.context)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.context</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.context.spi)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.context.spi</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.event)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.event</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.inject)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.inject</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.inject.spi)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.inject.spi</require>
        <require extend="false" filter="(&amp;(package=javax.enterprise.util)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.enterprise.util</require>
        <require extend="false" filter="(&amp;(package=javax.inject)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.inject</require>
        <require extend="false" filter="(&amp;(package=javax.interceptor)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.interceptor</require>
    </resource>
    <resource id="1341322604477" presentationname="Aries JPA Container Managed Contexts" symbolicname="org.apache.aries.jpa.container.context" uri="mvn:org.apache.aries.jpa/org.apache.aries.jpa.container.context/0.2-incubating" version="0.2.0.incubating">
        <description>Aries top-level parent pom</description>
        <size>39555</size>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.aries.jpa.container.context"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.aries.jpa.container.context"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.persistence)(version&gt;=1.0.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="false">Import-Package: javax.persistence</require>
        <require extend="false" filter="(&amp;(package=javax.persistence.criteria)(version&gt;=1.1.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="true">Import-Package: javax.persistence.criteria</require>
        <require extend="false" filter="(&amp;(package=javax.persistence.metamodel)(version&gt;=1.1.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="true">Import-Package: javax.persistence.metamodel</require>
        <require extend="false" filter="(&amp;(package=javax.transaction)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: javax.transaction</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.jpa.container.context)(version&gt;=0.1.0)(!(version&gt;=1.1.0)))" multiple="false" name="package" optional="false">Import-Package: org.apache.aries.jpa.container.context</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.quiesce.manager)(version&gt;=0.2.0)(!(version&gt;=1.0.0)))" multiple="false" name="package" optional="true">Import-Package: org.apache.aries.quiesce.manager</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.quiesce.participant)(version&gt;=0.2.0)(!(version&gt;=0.3.0)))" multiple="false" name="package" optional="true">Import-Package: org.apache.aries.quiesce.participant</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.osgi.util.tracker)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.osgi.util.tracker</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
    </resource>
    <resource id="1341322604477" presentationname="Apache Geronimo Expression Language Spec 2.2" symbolicname="org.apache.geronimo.specs.geronimo-el_2.2_spec" uri="mvn:org.apache.geronimo.specs/geronimo-el_2.2_spec/1.0.3" version="1.0.3">
        <description>Expression Languague API 2.2</description>
        <size>47604</size>
        <documentation>http://geronimo.apache.org/maven/specs/geronimo-el_2.2_spec/1.0.3</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.specs.geronimo-el_2.2_spec"/>
            <p n="version" t="version" v="1.0.3"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.el"/>
            <p n="version" t="version" v="2.2.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.el)(version&gt;=2.2.0))" multiple="false" name="package" optional="false">Import-Package: javax.el</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.osgi.registry.api)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.geronimo.osgi.registry.api</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.osgi.util.tracker)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.util.tracker</require>
    </resource>
    <resource id="1341322604477" presentationname="Interceptor 1.1" symbolicname="org.apache.geronimo.specs.geronimo-interceptor_1.1_spec" uri="mvn:org.apache.geronimo.specs/geronimo-interceptor_1.1_spec/1.0" version="1.0">
        <description>Interceptor API 1.1</description>
        <size>11240</size>
        <documentation>http://geronimo.apache.org/maven/specs/geronimo-interceptor_1.1_spec/1.0</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.specs.geronimo-interceptor_1.1_spec"/>
            <p n="version" t="version" v="1.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.interceptor"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.interceptor)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.interceptor</require>
    </resource>
    <resource id="1341322604478" presentationname="Apache Geronimo JSR-330 Spec API" symbolicname="org.apache.geronimo.specs.geronimo-atinject_1.0_spec" uri="mvn:org.apache.geronimo.specs/geronimo-atinject_1.0_spec/1.0" version="1.0">
        <description>Apache Geronimo implementation of the JSR-330 Dependency Injection Spec API</description>
        <size>10034</size>
        <documentation>http://geronimo.apache.org/maven/genesis/1.0</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.specs.geronimo-atinject_1.0_spec"/>
            <p n="version" t="version" v="1.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.inject"/>
            <p n="version" t="version" v="1.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.inject)(version&gt;=1.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.inject</require>
    </resource>
    <resource id="1341322604478" presentationname="Geronimo Framework, Modules :: CLI" symbolicname="org.apache.geronimo.framework.geronimo-cli" uri="mvn:org.apache.geronimo.framework/geronimo-cli/3.0.0" version="3.0.0">
        <description>Apache Geronimo, the JavaEE server project of the Apache Software Foundation.</description>
        <size>66743</size>
        <documentation>http://geronimo.apache.org/genesis-default-flava/genesis-java6-flava/geronimo/framework/modules/geronimo-cli</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.framework.geronimo-cli"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.cli"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.cli.client"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.cli.shutdown"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.cli.deployer"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.cli.daemon"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=org.apache.commons.cli)(version&gt;=1.2.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.cli</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.cli)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.cli</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.cli.client)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.cli.client</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.cli.daemon)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.cli.daemon</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.cli.deployer)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.cli.deployer</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.cli.shutdown)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.cli.shutdown</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.main)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.main</require>
    </resource>
    <resource id="1341322604478" presentationname="geronimo-j2ee-management_1.1_spec" symbolicname="org.apache.geronimo.specs.geronimo-j2ee-management_1.1_spec" uri="mvn:org.apache.geronimo.specs/geronimo-j2ee-management_1.1_spec/1.0.1" version="1.0.1">
        <description>Provides open-source implementations of Sun specifications.</description>
        <size>20220</size>
        <documentation>http://www.apache.org</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.specs.geronimo-j2ee-management_1.1_spec"/>
            <p n="version" t="version" v="1.0.1"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.management.j2ee.statistics"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.management.j2ee"/>
            <p n="version" t="version" v="1.1.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.ejb)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: javax.ejb</require>
        <require extend="false" filter="(&amp;(package=javax.management)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.management</require>
        <require extend="false" filter="(&amp;(package=javax.management.j2ee)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.management.j2ee</require>
        <require extend="false" filter="(&amp;(package=javax.management.j2ee.statistics)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.management.j2ee.statistics</require>
    </resource>
    <resource id="1341322604478" presentationname="Commons DBCP" symbolicname="org.apache.commons.dbcp" uri="mvn:commons-dbcp/commons-dbcp/1.4" version="1.4">
        <description>Commons Database Connection Pooling</description>
        <size>160519</size>
        <documentation>http://commons.apache.org/dbcp/</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.commons.dbcp"/>
            <p n="version" t="version" v="1.4.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.dbcp.cpdsadapter"/>
            <p n="version" t="version" v="1.4.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.dbcp"/>
            <p n="version" t="version" v="1.4.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.dbcp.managed"/>
            <p n="version" t="version" v="1.4.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.jocl"/>
            <p n="version" t="version" v="1.4.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.dbcp.datasources"/>
            <p n="version" t="version" v="1.4.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.naming)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming</require>
        <require extend="false" filter="(&amp;(package=javax.naming.spi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming.spi</require>
        <require extend="false" filter="(&amp;(package=javax.sql)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.sql</require>
        <require extend="false" filter="(&amp;(package=javax.transaction)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.transaction</require>
        <require extend="false" filter="(&amp;(package=javax.transaction.xa)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.transaction.xa</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.dbcp)(version&gt;=1.4.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.dbcp</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.dbcp.cpdsadapter)(version&gt;=1.4.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.dbcp.cpdsadapter</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.dbcp.datasources)(version&gt;=1.4.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.dbcp.datasources</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.dbcp.managed)(version&gt;=1.4.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.dbcp.managed</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.jocl)(version&gt;=1.4.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.jocl</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.pool)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.pool</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.pool.impl)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.pool.impl</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax.helpers)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax.helpers</require>
    </resource>
    <resource id="1341322604479" presentationname="Geronimo Plugins, OpenJPA2 :: Aries JPA" symbolicname="org.apache.geronimo.modules.geronimo-aries-jpa" uri="mvn:org.apache.geronimo.modules/geronimo-aries-jpa/3.0.0" version="3.0.0">
        <description>OpenJPA2 plugin</description>
        <size>16643</size>
        <documentation>http://geronimo.apache.org/genesis-default-flava/genesis-java6-flava/geronimo/plugins/openjpa2/geronimo-aries-jpa</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="fragment">
            <p n="host" v="org.apache.aries.jpa.container"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.modules.geronimo-aries-jpa"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.geronimo.aries.jpa"/>
            <p n="version" t="version" v="0.0.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.persistence.spi)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.persistence.spi</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.util)(version&gt;=0.3.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.aries.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.aries.jpa)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.aries.jpa</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.hook)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.hook</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.transformer)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.transformer</require>
        <require extend="false" filter="(&amp;(package=org.apache.xbean.osgi.bundle.util)(version&gt;=3.11.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.xbean.osgi.bundle.util</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.6.0))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
        <require extend="true" filter="(&amp;(symbolicname=org.apache.aries.jpa.container)(version&gt;=0.0.0))" multiple="false" name="bundle" optional="false">Required Host: org.apache.aries.jpa.container</require>
    </resource>
    <resource id="1341322604480" presentationname="Aries JPA Container" symbolicname="org.apache.aries.jpa.container" uri="mvn:org.apache.aries.jpa/org.apache.aries.jpa.container/0.2-incubating" version="0.2.0.incubating">
        <description>Aries top-level parent pom</description>
        <size>82993</size>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.aries.jpa.container"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.aries.jpa.container.context"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.aries.jpa.container.parsing"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.aries.jpa.container"/>
            <p n="version" t="version" v="0.2.0.incubating"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.naming)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming</require>
        <require extend="false" filter="(&amp;(package=javax.persistence)(version&gt;=1.0.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="false">Import-Package: javax.persistence</require>
        <require extend="false" filter="(&amp;(package=javax.persistence.criteria)(version&gt;=1.1.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="true">Import-Package: javax.persistence.criteria</require>
        <require extend="false" filter="(&amp;(package=javax.persistence.metamodel)(version&gt;=1.1.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="true">Import-Package: javax.persistence.metamodel</require>
        <require extend="false" filter="(&amp;(package=javax.persistence.spi)(version&gt;=1.0.0)(!(version&gt;=2.1.0)))" multiple="false" name="package" optional="false">Import-Package: javax.persistence.spi</require>
        <require extend="false" filter="(&amp;(package=javax.sql)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.sql</require>
        <require extend="false" filter="(&amp;(package=javax.xml.parsers)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.parsers</require>
        <require extend="false" filter="(&amp;(package=javax.xml.validation)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.validation</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.jpa.container)(version&gt;=0.1.0)(!(version&gt;=1.1.0)))" multiple="false" name="package" optional="false">Import-Package: org.apache.aries.jpa.container</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.jpa.container.parsing)(version&gt;=0.1.0)(!(version&gt;=1.1.0)))" multiple="false" name="package" optional="false">Import-Package: org.apache.aries.jpa.container.parsing</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.quiesce.manager)(version&gt;=0.2.0)(!(version&gt;=1.0.0)))" multiple="false" name="package" optional="true">Import-Package: org.apache.aries.quiesce.manager</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.quiesce.participant)(version&gt;=0.2.0)(!(version&gt;=0.3.0)))" multiple="false" name="package" optional="true">Import-Package: org.apache.aries.quiesce.participant</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.util)(version&gt;=0.2.0)(!(version&gt;=1.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.apache.aries.util</require>
        <require extend="false" filter="(&amp;(package=org.apache.aries.util.tracker)(version&gt;=0.2.0)(!(version&gt;=1.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.apache.aries.util.tracker</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.osgi.util.tracker)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.osgi.util.tracker</require>
        <require extend="false" filter="(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))" multiple="false" name="package" optional="false">Import-Package: org.slf4j</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax</require>
        <require extend="false" filter="(&amp;(package=org.xml.sax.helpers)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.xml.sax.helpers</require>
    </resource>
    <resource id="1341322604480" presentationname="Apache ServiceMix Bundles: serp-1.13.1" symbolicname="org.apache.servicemix.bundles.serp" uri="mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.serp/1.13.1_2" version="1.13.1.2">
        <description>This bundle simply wraps serp-1.13.1.jar.</description>
        <size>212543</size>
        <documentation>http://www.apache.org/</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.servicemix.bundles.serp"/>
            <p n="version" t="version" v="1.13.1.2"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="serp.bytecode.lowlevel"/>
            <p n="version" t="version" v="1.13.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="serp.bytecode.visitor"/>
            <p n="version" t="version" v="1.13.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="serp.util"/>
            <p n="version" t="version" v="1.13.1"/>
        </capability>
        <capability name="package">
            <p n="package" v="serp.bytecode"/>
            <p n="version" t="version" v="1.13.1"/>
        </capability>
    </resource>
    <resource id="1341322604481" presentationname="Apache Geronimo EJB Spec 3.1" symbolicname="org.apache.geronimo.specs.geronimo-ejb_3.1_spec" uri="mvn:org.apache.geronimo.specs/geronimo-ejb_3.1_spec/1.0.2" version="1.0.2">
        <description>EJB 3.1 API</description>
        <size>52631</size>
        <documentation>http://geronimo.apache.org/maven/specs/geronimo-ejb_3.1_spec/1.0.2</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.specs.geronimo-ejb_3.1_spec"/>
            <p n="version" t="version" v="1.0.2"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.ejb"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.ejb.spi"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <capability name="package">
            <p n="package" v="javax.ejb.embeddable"/>
            <p n="version" t="version" v="3.1.0"/>
        </capability>
        <require extend="false" filter="(&amp;(package=javax.ejb)(version&gt;=3.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.ejb</require>
        <require extend="false" filter="(&amp;(package=javax.ejb.embeddable)(version&gt;=3.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.ejb.embeddable</require>
        <require extend="false" filter="(&amp;(package=javax.ejb.spi)(version&gt;=3.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.ejb.spi</require>
        <require extend="false" filter="(&amp;(package=javax.naming)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming</require>
        <require extend="false" filter="(&amp;(package=javax.transaction)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.transaction</require>
        <require extend="false" filter="(&amp;(package=javax.xml.rpc.handler)(version&gt;=1.1.0))" multiple="false" name="package" optional="false">Import-Package: javax.xml.rpc.handler</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.osgi.registry.api)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: org.apache.geronimo.osgi.registry.api</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=org.osgi.util.tracker)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.util.tracker</require>
    </resource>
    <resource id="1341322604481" presentationname="Apache ServiceMix :: Bundles :: javassist" symbolicname="org.apache.servicemix.bundles.javassist" uri="mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.javassist/3.12.0.ga_1" version="3.12.0.ga_1">
        <description>This bundle simply wraps javassist-3.12.0.GA.jar.</description>
        <size>644890</size>
        <documentation>http://www.apache.org/</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.servicemix.bundles.javassist"/>
            <p n="version" t="version" v="3.12.0.ga_1"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.convert"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.expr"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.tools.rmi"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.util"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.tools"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.runtime"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.util.proxy"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.scopedpool"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.bytecode"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.compiler"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.bytecode.stackmap"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.tools.reflect"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.bytecode.annotation"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.tools.web"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.compiler.ast"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <capability name="package">
            <p n="package" v="javassist.bytecode.analysis"/>
            <p n="version" t="version" v="3.12.0.GA"/>
        </capability>
        <require extend="false" filter="(&amp;(package=com.sun.jdi)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.sun.jdi</require>
        <require extend="false" filter="(&amp;(package=com.sun.jdi.connect)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.sun.jdi.connect</require>
        <require extend="false" filter="(&amp;(package=com.sun.jdi.event)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.sun.jdi.event</require>
        <require extend="false" filter="(&amp;(package=com.sun.jdi.request)(version&gt;=0.0.0))" multiple="false" name="package" optional="true">Import-Package: com.sun.jdi.request</require>
    </resource>
    <resource id="1341322604481" presentationname="Commons Pool" symbolicname="org.apache.commons.pool" uri="mvn:commons-pool/commons-pool/1.5.4" version="1.5.4">
        <description>Commons Object Pooling Library</description>
        <size>96221</size>
        <documentation>http://commons.apache.org/pool/</documentation>
        <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.commons.pool"/>
            <p n="version" t="version" v="1.5.4"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.pool.impl"/>
            <p n="version" t="version" v="1.5.4"/>
        </capability>
        <capability name="package">
            <p n="package" v="org.apache.commons.pool"/>
            <p n="version" t="version" v="1.5.4"/>
        </capability>
        <require extend="false" filter="(&amp;(package=org.apache.commons.pool)(version&gt;=1.5.4))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.pool</require>
        <require extend="false" filter="(&amp;(package=org.apache.commons.pool.impl)(version&gt;=1.5.4))" multiple="false" name="package" optional="false">Import-Package: org.apache.commons.pool.impl</require>
    </resource>
    <resource id="1341322604481" presentationname="org.apache.geronimo.configs.transaction-1_6" symbolicname="org.apache.geronimo.configs.transaction-1_6" uri="mvn:org.apache.geronimo.configs/transaction-1_6/3.0.0/car" version="3.0.0">
        <size>24706</size>
        <capability name="bundle">
            <p n="symbolicname" v="org.apache.geronimo.configs.transaction-1_6"/>
            <p n="version" t="version" v="3.0.0"/>
            <p n="manifestversion" t="version" v="2"/>
        </capability>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel.osgi)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel.osgi</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.connector.wrapper.outbound.connectiontracking)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.connector.wrapper.outbound.connectiontracking</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.transaction.manager)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.transaction.manager</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.connector.outbound.connectiontracking)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.connector.outbound.connectiontracking</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.connector.outbound)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.connector.outbound</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.pool)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.pool</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gbean)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gbean</require>
        <require extend="false" filter="(&amp;(package=javax.management.j2ee.statistics)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.management.j2ee.statistics</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.connector.wrapper.work)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.connector.wrapper.work</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.connector.work)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.connector.work</require>
        <require extend="false" filter="(&amp;(package=javax.resource.spi.work)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.resource.spi.work</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.security.credentialstore)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.security.credentialstore</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.transaction.wrapper.log)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.transaction.wrapper.log</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.system.serverinfo)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.system.serverinfo</require>
        <require extend="false" filter="(&amp;(package=javax.transaction.xa)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.transaction.xa</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.transaction.wrapper.manager)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.transaction.wrapper.manager</require>
        <require extend="false" filter="(&amp;(package=org.osgi.framework)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.osgi.framework</require>
        <require extend="false" filter="(&amp;(package=javax.transaction)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.transaction</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.gjndi.binding)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.gjndi.binding</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.kernel)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.kernel</require>
        <require extend="false" filter="(&amp;(package=javax.naming)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: javax.naming</require>
        <require extend="false" filter="(&amp;(package=org.apache.geronimo.datasource)(version&gt;=0.0.0))" multiple="false" name="package" optional="false">Import-Package: org.apache.geronimo.datasource</require>
    </resource>
</repository>
